Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.memtree
Class DocumentBuilderReceiver

    java.lang.Object
      org.exist.memtree.DocumentBuilderReceiver

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler, Receiver

public class DocumentBuilderReceiver
extends java.lang.Object
implements org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler, Receiver

Builds an in-memory DOM tree from SAX `Receiver` events.

Author:
  Wolfgang

Constructor Summary
`DocumentBuilderReceiver()`
`DocumentBuilderReceiver(MemTreeBuilder builder)`

Method Summary
`void` | `addNamespaceNode(QName qname)`
`void` | `addReferenceNode(NodeProxy proxy)`
`void` | `attribute(QName qname, java.lang.String value)`
`void` | `cdataSection(char[] ch, int start, int len)`
`void` | `characters(char[] ch, int start, int len)`
`void` | `characters(java.lang.CharSequence seq)`
`void` | `comment(char[] ch, int start, int length)`
`void` | `documentType(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endDTD()`
`void` | `endElement(QName qname)`
`void` | `endElement(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)`
`void` | `endEntity(java.lang.String name)`
`void` | `endPrefixMapping(java.lang.String arg0)`
`XQueryContext` | `getContext()`
`org.w3c.dom.Document` | `getDocument()`
`void` | `ignorableWhitespace(char[] arg0, int arg1, int arg2)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setDocumentLocator(org.xml.sax.Locator arg0)`
`void` | `skippedEntity(java.lang.String arg0)`
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `startElement(QName qname, AttrList attribs)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)`
`void` | `startEntity(java.lang.String name)`
`void` | `startPrefixMapping(java.lang.String arg0, java.lang.String arg1)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderReceiver

    public DocumentBuilderReceiver()

### DocumentBuilderReceiver

    public DocumentBuilderReceiver(MemTreeBuilder builder)

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument()

### getContext

    public XQueryContext getContext()

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator arg0)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String arg0,
                                   java.lang.String arg1)
                            throws org.xml.sax.SAXException

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String arg0)
                          throws org.xml.sax.SAXException

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(QName qname,
                             AttrList attribs)

  Specified by:
    `startElement` in interface `Receiver`

### endElement

    public void endElement(java.lang.String arg0,
                           java.lang.String arg1,
                           java.lang.String arg2)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(QName qname)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### addReferenceNode

    public void addReferenceNode(NodeProxy proxy)
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### addNamespaceNode

    public void addNamespaceNode(QName qname)
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(java.lang.CharSequence seq)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int len)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### attribute

    public void attribute(QName qname,
                          java.lang.String value)
                   throws org.xml.sax.SAXException

  Specified by:
    `attribute` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] arg0,
                                    int arg1,
                                    int arg2)
                             throws org.xml.sax.SAXException

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### cdataSection

    public void cdataSection(char[] ch,
                             int start,
                             int len)
                      throws org.xml.sax.SAXException

  Specified by:
    `cdataSection` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### skippedEntity

    public void skippedEntity(java.lang.String arg0)
                       throws org.xml.sax.SAXException

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### documentType

    public void documentType(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Specified by:
    `documentType` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws org.xml.sax.SAXException

  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.